Package tigase.eventbus.impl

# Class ReflectEventListenerHandler

java.lang.Object
tigase.eventbus.impl.AbstractHandler
tigase.eventbus.impl.ReflectEventListenerHandler

Direct Known Subclasses:
  `ReflectEventSourceListenerHandler`

public class ReflectEventListenerHandler extends AbstractHandler

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class tigase.eventbus.impl.AbstractHandler

  `AbstractHandler.Type`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Object`
  `consumerObject`
  `protected final HandleEvent.Type`
  `filter`
  `protected final Method`
  `handlerMethod`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReflectEventListenerHandler(HandleEvent.Type filter, String packageName, String eventName, Object consumerObject, Method handlerMethod)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dispatch(Object event, Object source, boolean remotelyGeneratedEvent)`
  `boolean`
  `equals(Object o)`
  `AbstractHandler.Type`
  `getRequiredEventType()`
  `int`
  `hashCode()`

  ### Methods inherited from class tigase.eventbus.impl.AbstractHandler

  `getEventName, getPackageName`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### consumerObject

    protected final Object consumerObject

  - ### filter

    protected final HandleEvent.Type filter

  - ### handlerMethod

    protected final Method handlerMethod

- ## Constructor Details

  - ### ReflectEventListenerHandler

    public ReflectEventListenerHandler(HandleEvent.Type filter, String packageName, String eventName, Object consumerObject, Method handlerMethod)

- ## Method Details

  - ### dispatch

    public void dispatch(Object event, Object source, boolean remotelyGeneratedEvent)
    Specified by:
      `dispatch` in class `AbstractHandler`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### getRequiredEventType

    public AbstractHandler.Type getRequiredEventType()
    Specified by:
      `getRequiredEventType` in class `AbstractHandler`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`